var e = Object.defineProperty;
var c = (t, s, o) => s in t ? e(t, s, { enumerable: !0, configurable: !0, writable: !0, value: o }) : t[s] = o;
var r = (t, s, o) => c(t, typeof s != "symbol" ? s + "" : s, o);
import { rcWindow as i } from "./index-window.store.js";
class h {
  constructor() {
    r(this, "stores");
    this.stores = [];
  }
  addStore(s) {
    this.stores.push(s);
  }
  resetStores() {
    this.stores = [];
  }
}
const n = new h();
i.stores = n;
export {
  n as stores
};
